
#pragma once

#include <os/packet_allocator.h>

namespace Tee { struct Packet_allocator; }


/**
 * Packet allocator used for packet streaming in tee sessions.
 */
struct Tee::Packet_allocator : Genode::Packet_allocator
{
	enum { DEFAULT_PACKET_SIZE = 4096 };

	/**
	 * Constructor
	 *
	 * \param md_alloc  Meta-data allocator
	 */
	Packet_allocator(Genode::Allocator *md_alloc)
	: Genode::Packet_allocator(md_alloc, DEFAULT_PACKET_SIZE) {}
};

